sc::OneBodyOneCenterWrapper Class Reference
Inheritance diagram for sc::OneBodyOneCenterWrapper:
[legend]
Collaboration diagram for sc::OneBodyOneCenterWrapper:
[legend]

## Public Member Functions

| OneBodyOneCenterWrapper (const Ref< OneBodyInt > &ob, int sh2=0)
void | compute_shell (int)
| Computes the integrals for basis functions on the given shell. More...
Public Member Functions inherited from sc::OneBodyOneCenterInt
int | nbasis () const
| Returns the number of basis functions on center one.
int | nbasis1 () const
| Returns the number of basis functions on the center one.
int | nshell () const
| Return the number of shells on center one.
int | nshell1 () const
| Return the number of shells on the center one.
Ref< GaussianBasisSet > | basis ()
| Return the basis set on center one.
Ref< GaussianBasisSet > | basis1 ()
| Return the basis set on the center one.
const double * | buffer () const
| Returns the buffer where the integrals are placed.
virtual void | reinitialize ()
| This is called for one body integrals that take data to let them know that the data they reference has changed. More...
virtual bool | cloneable ()
| Return true if the clone member can be called. More...
virtual Ref< OneBodyOneCenterInt > | clone ()
| Returns a clone of this. More...
Integral * | integral () const
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Additional Inherited Members

Protected Member Functions inherited from sc::OneBodyOneCenterInt
| OneBodyOneCenterInt (Integral *integral, const Ref< GaussianBasisSet > &b1)
Protected Attributes inherited from sc::OneBodyOneCenterInt
Integral * | integral_
Ref< GaussianBasisSet > | bs1_
double * | buffer_

## Member Function Documentation

void sc::OneBodyOneCenterWrapper::compute_shell | ( | int |  | ) |

virtual

Computes the integrals for basis functions on the given shell.

Implements sc::OneBodyOneCenterInt.

The documentation for this class was generated from the following file:

- obint.h